Package kiyut.sketsa.options

## Class GeneralOptionsPanelController

- java.lang.Object
- - org.netbeans.spi.options.OptionsPanelController
  - - kiyut.sketsa.options.AbstractOptionsPanelController
    - - kiyut.sketsa.options.GeneralOptionsPanelController

-     public final class GeneralOptionsPanelController
      extends AbstractOptionsPanelController

  Author:
    Kiyut

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.netbeans.spi.options.OptionsPanelController

      `org.netbeans.spi.options.OptionsPanelController.ContainerRegistration, org.netbeans.spi.options.OptionsPanelController.Keywords, org.netbeans.spi.options.OptionsPanelController.KeywordsRegistration, org.netbeans.spi.options.OptionsPanelController.SubRegistration, org.netbeans.spi.options.OptionsPanelController.TopLevelRegistration`

  - ### Field Summary

    - ### Fields inherited from class org.netbeans.spi.options.OptionsPanelController

      `PROP_CHANGED, PROP_HELP_CTX, PROP_VALID`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `GeneralOptionsPanelController()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected AbstractOptionsPane` | `getOptionsPanel()` |

    - ### Methods inherited from class kiyut.sketsa.options.AbstractOptionsPanelController

      `addPropertyChangeListener, applyChanges, cancel, getComponent, getHelpCtx, isChanged, isValid, removePropertyChangeListener, update`

    - ### Methods inherited from class org.netbeans.spi.options.OptionsPanelController

      `createAdvanced, getLookup, handleSuccessfulSearch, setCurrentSubcategory, setSubcategory`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### GeneralOptionsPanelController

          public GeneralOptionsPanelController()

  - ### Method Detail

    - #### getOptionsPanel

          protected AbstractOptionsPane getOptionsPanel()

      Specified by:
        `getOptionsPanel` in class `AbstractOptionsPanelController`